// Events
enum Events {
  // Meeting Events
  meetingJoined,
  meetingLeft,

  micRequested,
  webcamRequested,

  // Participant Events
  participantJoined,
  participantLeft,

  // Speaker Events
  speakerChanged,

  // Presenter Events
  presenterChanged,

  // Stream Events
  streamEnabled,
  streamDisabled,
  streamPaused,
  streamResumed,

  // Recording Events
  recordingStarted,
  recordingStopped,

  // Live Stream Events
  liveStreamStarted,
  liveStreamStopped,
}

Map<Events, String> eventsMap = {
  Events.meetingJoined: 'meeting-joined',
  Events.meetingLeft: 'meeting-left',
  Events.micRequested: 'mic-requested',
  Events.webcamRequested: 'webcam-requested',
  Events.participantJoined: 'participant-joined',
  Events.participantLeft: 'participant-left',
  Events.speakerChanged: 'speaker-changed',
  Events.presenterChanged: 'presenter-changed',
  Events.streamEnabled: 'stream-enabled',
  Events.streamDisabled: 'stream-disabled',
  Events.streamPaused: 'stream-paused',
  Events.streamResumed: 'stream-resumed',
  Events.recordingStarted: 'recording-started',
  Events.recordingStopped: 'recording-stopped',
  Events.liveStreamStarted: 'livestream-started',
  Events.liveStreamStopped: 'livestream-stopped',
};

extension ParseToString on Events {
  String parseToString() => eventsMap[this] ?? 'unknown';
}
