import 'dart:async';

import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';
import 'package:events2/events2.dart';

part 'room_event.dart';
part 'room_state.dart';

class RoomBloc extends Bloc<RoomEvent, RoomState> {
  late final EventEmitter eventEmitter;

  RoomBloc({required this.eventEmitter}) : super(RoomState(url: ""));

  @override
  Stream<RoomState> mapEventToState(
    RoomEvent event,
  ) async* {
    if (event is RoomSetActiveSpeakerId) {
      yield* _mapRoomSetActiveSpeakerIdToState(event);
    }
    if (event is RoomSetActivePresenterId) {
      yield* _mapRoomSetActivePresenterIdToState(event);
    }
  }

  Stream<RoomState> _mapRoomSetActiveSpeakerIdToState(
      RoomSetActiveSpeakerId event) async* {
    this.eventEmitter.emit("speaker-changed", event.speakerId);

    yield state.newActiveSpeaker(activeSpeakerId: event.speakerId);
  }

  Stream<RoomState> _mapRoomSetActivePresenterIdToState(
      RoomSetActivePresenterId event) async* {
    this.eventEmitter.emit("presenter-changed", event.presenterId);

    yield state.newActivePresenter(activePresenterId: event.presenterId);
  }
}
