import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:flutter_webrtc/flutter_webrtc.dart';
import './src/videosdk_client/videosdk_client.dart';
import 'package:videosdk/src/features/signaling/room_client_repository.dart';

enum StreamKind { video, audio, share }

class Stream {
  late BuildContext _context;

  late String id;
  late Consumer track;
  late String? kind;
  late RTCVideoRenderer? renderer;

  Stream({required context, required consumer, this.renderer}) {
    this._context = context;
    this.track = consumer;
    this.id = track.id;
    this.kind = track.appData['share'] == true ? "share" : track.kind;
  }

  void pause() {
    _context.read<RoomClientRepository>().pauseConsumer(this.track);
  }

  void resume() {
    _context.read<RoomClientRepository>().resumeConsumer(this.track);
  }

  Stream copyWith({
    Consumer? track,
    RTCVideoRenderer? renderer,
  }) {
    return Stream(
      context: this._context,
      consumer: track ?? this.track,
      renderer: renderer ?? this.renderer,
    );
  }
}
